/*------------------------------------------------------------
General Styles
------------------------------------------------------------*/

/* General – z-index stacking
----------------------------------------*/
#masthead {
  z-index: 1000;
}

body.search_active::after {
  z-index: 10;
}

:is(.live_search.active, #search_results) {
  z-index: 900;
}

#popout {
  z-index: 1100;
}

#content_cnt::after {
  z-index: 10;
}

/*------------------------------------------------------------
Masthead
------------------------------------------------------------*/

/* Masthead – Forms
----------------------------------------*/
.forms_masthead.wrapper {
  padding: var(--space-sm);
  background-color: var(--color-primary-dark);
}

.forms_masthead section {
  display: flex;
  justify-content: center;
  align-items: center;
}

.forms_masthead .logo {
  aspect-ratio: 5/2;
  width: min(100%, 10em);
}

#masthead {
  position: relative;
}

#masthead .wrapper {
  padding: 0;
}

/* Masthead – Top
----------------------------------------*/
#masthead .top {
  background-color: var(--color-primary-dark);
}

#masthead .top section {
  justify-content: space-between;
  align-items: center;
  gap: var(--space-lg);
  padding-block: 1em;
  position: relative;
}

#masthead .logo {
  aspect-ratio: 4/1;
  flex: 2;
  max-width: 16em;
}

/* Masthead – Bottom
----------------------------------------*/
#masthead .bottom {
  background-color: var(--color-primary);
}

#masthead nav ul.menu {
  list-style: none;
  padding: 0;
  margin: 0;
  justify-content: space-around;
}

#masthead nav ul.menu li {
  flex: 1;
  margin-inline: -1em;
}

#masthead nav ul.menu a {
  color: #fff;
  font-size: 0.9125em;
  text-align: center;
  text-decoration: none;
  display: block;
  padding-block: var(--space-sm);
  transition: var(--transition);
  position: relative;
  /* rounded tab effect */
  --r: 0.75em;
  border-inline: var(--r) solid #0000;
  border-radius: calc(2 * var(--r)) calc(2 * var(--r)) 0 0 / var(--r);
  mask: radial-gradient(var(--r) at var(--r) 0, #0000 98%, #000 101%) calc(-1 * var(--r)) 100%/100% var(--r) repeat-x, conic-gradient(#000 0 0) padding-box;
}

#masthead nav ul.menu a svg {
  opacity: 0.5;
  margin-right: var(--space-xs);
}

#masthead nav ul.menu a:hover {
  background-color: var(--color-primary-dark);
}

#masthead nav ul.menu li.active a {
  background-color: #fff;
  color: var(--gray-9);
  z-index: 2;
}

/*  Other States
--------------------------------------------------*/
#masthead .account_btn:focus-visible {
  outline: 1px solid var(--color-secondary-light);
  outline-offset: 3px;
}

/*--------------------------------------------------
Live Search
--------------------------------------------------*/
#masthead .live_search {
  flex: 4;
  margin: 0 auto;
  max-width: 40em;
}

.live_search form {
  width: 100%;
  position: relative;
}

.live_search #search_term {
  width: 100%;
  padding: var(--space-xs) var(--space-md) var(--space-xs) 3em;
  border-radius: 100px;
  border: 1px solid var(--color-primary-dark);
}

#search_term:focus-visible {
  outline: none;
}

.live_search form > svg {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 1em;
  color: var(--gray-6);
}

.live_search .btn_close {
  opacity: 0;
  cursor: pointer;
  pointer-events: none;
  right: 0.5em;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 100%;
  aspect-ratio: 1/1;
  padding: var(--space-xxs);
  border: none;
  color: var(--gray-7);
  font-size: 0.9em;
  background-color: var(--gray-3);
}

/*  Live Search – Active
----------------------------------------*/
.live_search.active .btn_close {
  opacity: 1;
  pointer-events: auto;
}

.live_search.active #search_term {
  box-shadow: 0 0 0 4px var(--color-primary-light);
}

body.search_active::after {
  content: "";
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: var(--mask-bg);
}

body.search_active {
  overflow-y: hidden;
}

/*--------------------------------------------------
Live Search – Search Results
--------------------------------------------------*/
#search_results {
  --search-height: 500px;
  visibility: hidden;
  position: absolute;
  margin: 0 auto;
  overflow-x: hidden;
  overflow-y: auto;
  padding: var(--space-lg) 0;
  background-color: #fff;
  width: 100%;
  height: var(--search-height);
  top: 85px;
  left: 0;
  border: 1px solid var(--gray-4);
  transform: scaleY(0) translateY(-100%);
  transition: opacity 0.2s ease, transform 0.2s ease-out, visibility 0s linear 0.2s;
}

#search_results.open {
  visibility: visible;
  transform: translateY(0) scaleY(1);
  /* max-height: var(--search-height); */
  transition: opacity 0.2s ease, transform 0.2s ease, visibility 0s;
}

#search_results .search_results_list {
  gap: 1em;
  justify-content: space-between;
  flex-wrap: wrap;
}

#search_results .search_results_list li {
  flex: 1 1 30%;
}

#search_results .search_results_list a {
  text-decoration: none;
  padding: 1em;
  align-items: center;
  border: 1px solid var(--gray-4);
  border-radius: var(--box-border-rad);
}

#search_results .search_results_list .image {
  aspect-ratio: 1/1;
  flex: 1;
  border-radius: var(--box-border-rad);
}

#search_results .search_results_list .title {
  flex: 3;
  color: var(--gray-8);
  font-size: 0.9em;
  padding-left: 1em;
  margin-bottom: 0;
}

/*--------------------------------------------------
Masthead – My Account
--------------------------------------------------*/
#masthead .account_btn {
  color: #fff;
  font-size: 0.875em;
  border: 1px solid var(--color-primary);
  margin: 0;
}

#masthead .account_btn:is(:hover, :active) {
  background-color: var(--color-primary);
}

/*--------------------------------------------------
Masthead – Search Trigger
--------------------------------------------------*/
#masthead .search_trigger {
  color: #fff;
  border: 1px solid var(--color-primary);
  border-radius: 100%;
  aspect-ratio: 1/1;
  margin: 0;
  background-color: var(--transparent);
  padding: 0;
}

/*--------------------------------------------------
Footer
--------------------------------------------------*/
footer.wrapper {
  background-color: var(--color-primary-dark);
  padding-block: var(--space-lg) var(--space-md);
}

footer :is(a, p) {
  color: #fff;
  text-decoration: none;
}

footer a:is(:visited, :active) {
  color: #fff;
}

footer a:hover {
  color: var(--color-primary-light);
}


/*----------------------------------------
Footer – Brand
----------------------------------------*/
footer .brand header {
  margin-bottom: var(--space-md);
}

footer .logo {
  aspect-ratio: 5/1;
  width: min(100%, 18em);
  display: block;
  margin: 0;
  background-position-x: -8px;
}

footer .by_tsl {
  margin: 0;
  font-size: 0.95em;
  font-style: italic;
}

footer .mission {
  font-size: 0.95em;
  /* text-wrap: balance; */
  font-style: italic;
}

/* Footer – Social Media Buttons
----------------------------------------*/
footer .sm_btns {
  gap: 1em;
}

footer .sm_btns a {
  display: block;
  aspect-ratio: 1/1;
  width: var(--space-xl);
  border-radius: 100%;
  background-color: var(--color-primary-dark);
  border: 1px solid var(--color-primary);
  position: relative;
}

footer .sm_btns svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  font-size: var(--text-md);
}

footer .sm_btns .facebook:hover {
  background-color: var(--color-facebook);
}

footer .sm_btns .youtube:hover {
  background-color: var(--color-youtube);
}

footer .sm_btns .instagram:hover {
  background-color: var(--color-instagram);
}

/* Footer – menus
----------------------------------------*/

footer .menus .heading {
  color: var(--color-secondary-light);
  font-size: var(--text-body);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing-loose);
  margin-bottom: var(--space-xs);
}

footer .menus ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

footer .menus a {
  padding: var(--space-xxxs) var(--space-xs) var(--space-xxxs) 0;
  display: block;
  transition: var(--transition);
  font-size: 0.925em;
}

/* Footer – Bottom
----------------------------------------*/
.footer_bottom {
  justify-content: space-between;
  align-items: center;
  gap: 1em;
}

.footer_bottom > * {
  flex: 1;
}

footer .copyright {
  flex: 2;
  font-size: var(--text-xs);
}

footer .copyright p {
  margin: 0;
}

footer .payment_brands {
  gap: var(--space-sm);
  max-width: 13em;
}

footer .payment_brands span {
  flex: 1;
  aspect-ratio: 8/5;
  background-color: #fff;
  border-radius: 1px;
}

footer .legal {
  gap: 1em;
  justify-content: flex-end;
  margin: 0;
  font-size: var(--text-sm);
}

/*----------------------------------------------------------
Responsive Styles
----------------------------------------------------------*/
@media only screen and (min-width: 1201px) {
  :is(#toggle, #search_trigger) {
    display: none;
  }
}

@media only screen and (max-width: 1200px) {
  /* @1200px */

  body:not(.page-template-login_page, .page-template-coming-soon, .woocommerce-cart, .woocommerce-checkout) {
    /* margin-top: var(--nav-height); */
  }

  /*----------------------------------------
  Masthead
  ----------------------------------------*/
  #masthead {
    position: sticky;
    top: 0;
    overflow: visible;
  }

  #masthead .top section {
    padding: 0;
    height: var(--nav-height);
    justify-content: flex-end;
    gap: 1em;
    flex-wrap: nowrap;
  }

  /* Masthead – Logo
  ----------------------------------------*/
  #masthead .logo {
    margin-inline: 0 auto;
  }

  /* Masthead – Search Trigger
  ----------------------------------------*/
  /* #masthead .search_trigger {} */

  /* Masthead – Account Button
  ----------------------------------------*/
  #masthead :is(.account_btn, .search_trigger) {
    max-width: var(--nav-items-height);
    height: var(--nav-items-height);
    font-size: 1.5em;
    position: relative;
  }

  #masthead .account_btn span {
    display: none;
  }

  #masthead .account_btn svg {
    opacity: 1;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /* Masthead – Toggle 
  ----------------------------------------*/
  #toggle {
    position: relative;
    aspect-ratio: 1/1;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    max-width: calc(var(--nav-items-height) - 10px);
    height: calc(var(--nav-items-height) - 10px);
    margin-left: var(--space-sm);
  }

  #toggle .line {
    display: block;
    width: 100%;
    height: 0.25em;
    border-radius: 50px;
    background-color: #fff;
    transition: var(--transition);
    transform-origin: left;
  }

  .iconClose .line:nth-child(2) {
    opacity: 0;
    display: none;
  }

  #toggle.iconClose .line:nth-child(1),
  #toggle.iconClose .line:nth-child(3) {
    background-color: var(--color-secondary);
  }

  #toggle.iconClose .line:nth-child(1) {
    transform: rotate(var(--toggle-rotate));
  }

  #toggle.iconClose .line:nth-child(3) {
    transform: rotate(calc(-1 * var(--toggle-rotate)));
  }

  /*  Masthead – Popout Menu
  ----------------------------------------*/
  #content_cnt,
  #popout {
    transition-timing-function: ease-in;
    transition-duration: 0.5s;
    will-change: transform;
  }

  #popout {
    position: fixed;
    height: 100vh;
    width: var(--rspv-nav-width);
    background-color: #fff;
    box-shadow: 10px 0 20px rgba(0, 0, 0, 0.1);
    flex-direction: column;
    top: 0;
    left: 0;
    overflow: auto;
    transform: translateX(calc(-1 * var(--rspv-nav-width)));
  }

  #popout_logo {
    display: block;
    width: 90%;
    margin: 0.85em auto 1em;
    aspect-ratio: 4/1;
  }

  /*  Masthead – Popout Menu – Transition
  ----------------------------------------*/
  #popout,
  #popout.nav_hide {
    transform: translateX(calc(-1 * var(--rspv-nav-width)));
  }

  #popout.nav_show,
  #content_cnt.content_show {
    transform: none;
  }

  /* hides nav with and resizes content size*/
  #content_cnt.content_hide {
    transform: translateX(var(--rspv-nav-width));
    max-height: 100vh;
    max-width: 100vw;
    overflow: hidden;
    position: fixed;
    width: 100%;
  }

  /* creates content container mask */
  #content_cnt::after {
    content: "";
    display: block;
    background-color: var(--mask-bg);
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
  }

  /* shows mask */
  #content_cnt.content_hide::after {
    opacity: 1;
    visibility: visible;
  }

  /*  Masthead – Popout Menu – Menu Items
  ----------------------------------------*/
  #masthead nav ul.menu {
    flex-direction: column;
    justify-content: flex-start;
    flex-wrap: nowrap;
  }

  #masthead nav ul.menu a {
    color: var(--gray-9);
    mask: unset;
    border-radius: 0;
    border-inline: none;
    text-align: left;
    padding: 1em;
    width: 90%;
    margin: 0 auto;
    font-size: 1em;
  }

  /*----------------------------------------
  Live Search
  ----------------------------------------*/
  #masthead .live_search {
    opacity: 0;
    display: block;
    visibility: hidden;
    pointer-events: none;
    position: fixed;
    width: 100%;
    max-width: 100%;
    padding: 1em;
    background-color: #fff;
  }

  #masthead .live_search.active {
    opacity: 1;
    visibility: visible;
    top: var(--nav-height);
    left: 50%;
    transform: translateX(-50%);
    pointer-events: auto;
  }

  #masthead .live_search form {
    width: min(100%, 40em);
    margin-inline: auto;
  }

  #search_results {
    --search-height: 400px;
    top: 145px;
    height: var(--search-height);
  }

  #search_results.open {
    max-height: var(--search-height);
  }

  /*----------------------------------------
  Footer
  ----------------------------------------*/
  .footer_top.row,
  .footer_bottom {
    flex-direction: column;
    align-items: center;
  }

  .footer_top.row .brand {
    width: min(100%, 40em);
    text-align: center;
  }

  .footer_top.row .menus {
    width: 100%;
  }

  footer .logo {
    margin: 0 auto;
  }

  footer .sm_btns {
    justify-content: center;
  }

  footer .payment_brands {
    width: min(100%, 10em);
  }

  /* #1200px */
}

@media only screen and (max-width: 1024px) {
}

/* #1024px */

@media only screen and (max-width: 768px) {
}

/* #768px */

@media only screen and (max-width: 600px) {
  /*---------------------------------------- 
  Masthead
  ----------------------------------------*/

  /* Masthead – Logo
  ----------------------------------------*/
  #masthead .logo {
    max-width: 4em;
    aspect-ratio: 5/4;
    flex: 1 1 3em;
  }

  /*----------------------------------------
  Footer
  ----------------------------------------*/
  .footer_top.row .menus {
    flex-direction: column;
    text-align: center;
  }

  .footer_top.row .menus > div {
    width: 100%;
  }

  /* #600px */
}

@media only screen and (max-width: 480px) {
  /* #480px */
}

@media only screen and (max-width: 400px) {
  /*----------------------------------------
  Footer
  ----------------------------------------*/
  footer .logo {
    margin: 0;
  }

  .footer_top.row :is(.menus, .brand) {
    text-align: left;
  }

  footer .sm_btns {
    justify-content: flex-start;
  }

  .footer_top.row .menus {
    padding: 0;
  }

  /* #400px */
}
